Package org.flowable.cmmn.api.repository

# Interface CaseDefinitionQuery

All Superinterfaces:
  `Query<CaseDefinitionQuery,CaseDefinition>`

public interface CaseDefinitionQuery extends Query<CaseDefinitionQuery,CaseDefinition>

Author:
  Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CaseDefinitionQuery`
  `caseDefinitionCategory(String caseDefinitionCategory)`
  `CaseDefinitionQuery`
  `caseDefinitionCategoryLike(String caseDefinitionCategoryLike)`
  `CaseDefinitionQuery`
  `caseDefinitionCategoryNotEquals(String categoryNotEquals)`
  `CaseDefinitionQuery`
  `caseDefinitionId(String caseDefinitionId)`
  `CaseDefinitionQuery`
  `caseDefinitionIds(Set<String> caseDefinitionIds)`
  `CaseDefinitionQuery`
  `caseDefinitionKey(String caseDefinitionKey)`
  `CaseDefinitionQuery`
  `caseDefinitionKeyLike(String caseDefinitionKeyLike)`
  `CaseDefinitionQuery`
  `caseDefinitionName(String caseDefinitionName)`
  `CaseDefinitionQuery`
  `caseDefinitionNameLike(String caseDefinitionNameLike)`
  `CaseDefinitionQuery`
  `caseDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)`
  `CaseDefinitionQuery`
  `caseDefinitionResourceName(String resourceName)`
  `CaseDefinitionQuery`
  `caseDefinitionResourceNameLike(String resourceNameLike)`
  `CaseDefinitionQuery`
  `caseDefinitionTenantId(String tenantId)`
  `CaseDefinitionQuery`
  `caseDefinitionTenantIdLike(String tenantIdLike)`
  `CaseDefinitionQuery`
  `caseDefinitionVersion(Integer caseDefinitionVersion)`
  `CaseDefinitionQuery`
  `caseDefinitionVersionGreaterThan(Integer caseDefinitionVersion)`
  `CaseDefinitionQuery`
  `caseDefinitionVersionGreaterThanOrEquals(Integer caseDefinitionVersion)`
  `CaseDefinitionQuery`
  `caseDefinitionVersionLowerThan(Integer caseDefinitionVersion)`
  `CaseDefinitionQuery`
  `caseDefinitionVersionLowerThanOrEquals(Integer caseDefinitionVersion)`
  `CaseDefinitionQuery`
  `caseDefinitionWithoutTenantId()`
  `CaseDefinitionQuery`
  `deploymentId(String deploymentId)`
  `CaseDefinitionQuery`
  `deploymentIds(Set<String> deploymentIds)`
  `CaseDefinitionQuery`
  `latestVersion()`
  `CaseDefinitionQuery`
  `locale(String locale)`
  Localize case definition name and description to specified locale.
  `CaseDefinitionQuery`
  `orderByCaseDefinitionCategory()`
  `CaseDefinitionQuery`
  `orderByCaseDefinitionId()`
  `CaseDefinitionQuery`
  `orderByCaseDefinitionKey()`
  `CaseDefinitionQuery`
  `orderByCaseDefinitionName()`
  `CaseDefinitionQuery`
  `orderByCaseDefinitionVersion()`
  `CaseDefinitionQuery`
  `orderByDeploymentId()`
  `CaseDefinitionQuery`
  `orderByTenantId()`
  `CaseDefinitionQuery`
  `parentDeploymentId(String parentDeploymentId)`
  `CaseDefinitionQuery`
  `startableByUser(String userId)`
  `CaseDefinitionQuery`
  `startableByUserOrGroups(String userId, Collection<String> groups)`
  `CaseDefinitionQuery`
  `withLocalizationFallback()`
  Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### caseDefinitionId

    CaseDefinitionQuery caseDefinitionId(String caseDefinitionId)

  - ### caseDefinitionIds

    CaseDefinitionQuery caseDefinitionIds(Set<String> caseDefinitionIds)

  - ### caseDefinitionCategory

    CaseDefinitionQuery caseDefinitionCategory(String caseDefinitionCategory)

  - ### caseDefinitionCategoryLike

    CaseDefinitionQuery caseDefinitionCategoryLike(String caseDefinitionCategoryLike)

  - ### caseDefinitionCategoryNotEquals

    CaseDefinitionQuery caseDefinitionCategoryNotEquals(String categoryNotEquals)

  - ### caseDefinitionName

    CaseDefinitionQuery caseDefinitionName(String caseDefinitionName)

  - ### caseDefinitionNameLike

    CaseDefinitionQuery caseDefinitionNameLike(String caseDefinitionNameLike)

  - ### caseDefinitionNameLikeIgnoreCase

    CaseDefinitionQuery caseDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)

  - ### deploymentId

    CaseDefinitionQuery deploymentId(String deploymentId)

  - ### deploymentIds

    CaseDefinitionQuery deploymentIds(Set<String> deploymentIds)

  - ### parentDeploymentId

    CaseDefinitionQuery parentDeploymentId(String parentDeploymentId)

  - ### caseDefinitionKey

    CaseDefinitionQuery caseDefinitionKey(String caseDefinitionKey)

  - ### caseDefinitionKeyLike

    CaseDefinitionQuery caseDefinitionKeyLike(String caseDefinitionKeyLike)

  - ### caseDefinitionVersion

    CaseDefinitionQuery caseDefinitionVersion(Integer caseDefinitionVersion)

  - ### caseDefinitionVersionGreaterThan

    CaseDefinitionQuery caseDefinitionVersionGreaterThan(Integer caseDefinitionVersion)

  - ### caseDefinitionVersionGreaterThanOrEquals

    CaseDefinitionQuery caseDefinitionVersionGreaterThanOrEquals(Integer caseDefinitionVersion)

  - ### caseDefinitionVersionLowerThan

    CaseDefinitionQuery caseDefinitionVersionLowerThan(Integer caseDefinitionVersion)

  - ### caseDefinitionVersionLowerThanOrEquals

    CaseDefinitionQuery caseDefinitionVersionLowerThanOrEquals(Integer caseDefinitionVersion)

  - ### latestVersion

    CaseDefinitionQuery latestVersion()

  - ### caseDefinitionResourceName

    CaseDefinitionQuery caseDefinitionResourceName(String resourceName)

  - ### caseDefinitionResourceNameLike

    CaseDefinitionQuery caseDefinitionResourceNameLike(String resourceNameLike)

  - ### startableByUser

    CaseDefinitionQuery startableByUser(String userId)

  - ### startableByUserOrGroups

    CaseDefinitionQuery startableByUserOrGroups(String userId, Collection<String> groups)

  - ### caseDefinitionTenantId

    CaseDefinitionQuery caseDefinitionTenantId(String tenantId)

  - ### caseDefinitionTenantIdLike

    CaseDefinitionQuery caseDefinitionTenantIdLike(String tenantIdLike)

  - ### caseDefinitionWithoutTenantId

    CaseDefinitionQuery caseDefinitionWithoutTenantId()

  - ### locale

    CaseDefinitionQuery locale(String locale)
    Localize case definition name and description to specified locale.

  - ### withLocalizationFallback

    CaseDefinitionQuery withLocalizationFallback()
    Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  - ### orderByCaseDefinitionCategory

    CaseDefinitionQuery orderByCaseDefinitionCategory()

  - ### orderByCaseDefinitionKey

    CaseDefinitionQuery orderByCaseDefinitionKey()

  - ### orderByCaseDefinitionId

    CaseDefinitionQuery orderByCaseDefinitionId()

  - ### orderByCaseDefinitionVersion

    CaseDefinitionQuery orderByCaseDefinitionVersion()

  - ### orderByCaseDefinitionName

    CaseDefinitionQuery orderByCaseDefinitionName()

  - ### orderByDeploymentId

    CaseDefinitionQuery orderByDeploymentId()

  - ### orderByTenantId

    CaseDefinitionQuery orderByTenantId()